DELUSER(8)

NAMN
deluser, delgroup - ta bort en användare eller grupp från systemet

SYNOPSIS
deluser [flaggor] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to KATALOG] användare

deluser --group [flaggor] grupp
delgroup [flaggor] [--only-if-empty] grupp

deluser [flaggor] användare grupp

  VANLIGA FLAGGOR
[--quiet] [--system] [--help] [--version] [--conf FIL]

BESKRIVNING

deluser och delgroup tar bort användare och grupper från systemet enligt flaggorna på kommandoraden och konfigurationsinformation i /etc/deluser.conf och /etc/adduser.conf. De är vänligare gränssnitt till programmen userdel och groupdel, tar bort hemkatalog enligt flagga eller även alla filer på systemet som ägs av den användare som ska tas bort, kör egendefinierade skript och andra funktioner. deluser och delgroup kan köras i ett av tre lägen:

  Ta bort en vanlig användare
Om anropad med ett icke-flagga-argument och utan flaggan --group kommer deluser att ta bort en vanlig användare. Som standard kommer deluser att ta bort användaren utan att ta bort hemkatalogen, postkön eller andra filer på systemet som ägs av användaren. Ta bort hemkatalogen och postkön kan göras genom flaggan --remove-home. Flaggan --remove-all-files tar bort alla filer på systemet som ägs av användaren. Notera att om du aktiverar båda flaggorna kommer --remove-home inte att ha någon effekt därför att alla filer inklusive hemkatalogen och post-spoolen redan täcks in av flaggan --remove-all-files. Om du vill säkerhetskopiera alla filerna före de tas bort kan du aktivera flaggan --backup som kommer att skapa en fil kallad användare.tar(.gz|.bz2) i den katalog som angivits med flaggan --backup-to (standard är till nuvarande katalog). Båda flaggorna för borttagning och säkerhetskopiering kan också aktiveras som standard i konfigurationsfilen /etc/deluser.conf. Se deluser.conf(5) för detaljer. Vill du radera rot-kontot (uid 0) använd flaggan --force, detta kan hindra dig från att ta bort rot-användaren av misstag. Om filen /usr/local/sbin/deluser.local finns kommer den att startas efter att användarkontot har tagits bort för att göra vissa lokala rensningar. Argumenten som skickas till deluser.local är:
användarnamn uid gid hemkatalog

  Ta bort en grupp
Om deluser startas upp med flagan --group eller om delgroup startas kommer en grupp att tas bort. Varning: Den primära gruppen för en existerande användare kan inte tas bort. Om flaggan --only-if-empty anges kommer gruppen inte att tas bort om den har medlemmar kvar.

  Ta bort en användare från en specifik grupp
Om anropad med två icke-flaggor-argument kommer deluser att ta bort en användare från en specifik grupp.

FLAGGOR

--conf FIL
    Använd FIL istället för standardfilerna /etc/deluser.conf och /etc/adduser.conf

--group
    Ta bort en grupp. Detta är standardåtgärden om programmet startas som delgroup.

--help
    Visa korta instruktioner.

--quiet
    Visa inte förloppsmeddelanden.

--system
    Ta endast bort om användare/grupp är en systemanvändare/grupp. Detta förhindrar oavsiktliga borttagningar av icke-systemanvändare/grupper. Om användaren inte finns kommer ingen felkod att returneras. Denna flagga är huvudsakligen för användning av skript för Debians paketunderhållare.

--backup
    Ta säkerhetskopia på alla filer i användarens hemkatalog och postfilen till en fil med namnet /$user.tar.bz2 eller /user.tar.gz.

--backup-to
    Placera inte säkerhetskopiefiler i / utan en annan katalog som anges med denna parameter. Detta innebär automatiskt att --backup används.

--remove-home
    Ta bort hemkatalogen ochh postfilen för användaren. Om --backup specificeras raderas filerna först efter att en säkerhetskopia tagits.

--remove-all-files
    Ta bort alla filer från systemet som ägs av den här användaren. OBS: --remove-home gäller inte längre. Om --backup är specificerat kommer en säkerhetskopia på filerna först tas.

--version
    Visa version och information om copyright.

RETURVÄRDE

0   Åtgärden kördes utan problem.

1   Användaren som skulle tas bort var inte ett systemkonto. Ingen åtgärd genomfördes.

2   Det finns ingen sådan användare. Ingen åtgärd genomfördes.

3   Det finns ingen sådan grupp. Ingen åtgärd genomfördes.

4   Internt fel. Ingen åtgärd genomfördes.

5   Gruppen som skulle tas bort är inte tom. Ingen åtgärd genomfördes.

6   Användaren tillhör inte den angivna gruppen. Ingen åtgärd genomfördes.

7   Du kan inte ta bort en användare från sin primära grupp. Ingen åtgärd genomfördes.

8   Paketet "perl modules" behövs men är inte installerat. Paketet behövs för att kunna utföra de begärda åtgärderna. Ingen åtgärd genomfördes.

9   För att tabort rot-konto måste flaggan "--force" användas. Ingen åtgärd genomfördes.

FILER
/etc/deluser.conf

SE OCKSÅ
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modifieringar (C) 2004 Marc Haber och Joerg Hoh. Denna manualsida och programmet deluser är baserade på adduser som är:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, med en hel del lånat från ursprungliga Debian adduser
Copyright (C) 1994 Ian Murdock. deluser är fri programvara; se GNU General Public Licence version 2 eller senare för villkor för kopiering. Det finns ingen garanti.